DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Macros | Enumerations
dctypes.h File Reference

type definitions for the dcmdata module More...

## Classes
struct | DCMTypes
| General purpose class hiding constants from the global namespace. More...

## Macros
#define | DCMTK_XML_NAMESPACE_URI "http://dicom.offis.de/dcmtk"
| XML namespace URI for the dcmtk.
#define | NATIVE_DICOM_MODEL_XML_NAMESPACE_URI "http://dicom.nema.org/PS3.19/models/NativeDICOM"
| XML namespace URI for Native DICOM Model (see DICOM part 19)

## Enumerations
enum | E_EncodingType { EET_ExplicitLength = 0 , EET_UndefinedLength = 1 }
| encoding type for sequences and sequence items More...
enum | E_GrpLenEncoding { EGL_noChange = 0 , EGL_withoutGL = 1 , EGL_withGL = 2 , EGL_recalcGL = 3 }
| handling of group length elements when reading/writing a dataset More...
enum | E_PaddingEncoding { EPD_noChange = 0 , EPD_withoutPadding = 1 , EPD_withPadding = 2 }
| handling of dataset trailing padding More...
enum | E_SearchMode { ESM_fromHere = 0 , ESM_fromStackTop = 1 , ESM_afterStackTop = 2 }
| search mode for hierarchical search operations More...
enum | E_TransferState { ERW_init = 0 , ERW_ready = 1 , ERW_inWork = 2 , ERW_notInitialized = 3 }
| object state during transfer (read/write) operations More...
enum | E_FileReadMode { ERM_autoDetect = 0 , ERM_dataset = 1 , ERM_fileOnly = 2 , ERM_metaOnly = 3 }
| mode for file reading More...
enum | E_FileWriteMode { EWM_fileformat = 0 , EWM_dataset = 1 , EWM_updateMeta = 2 , EWM_createNewMeta = 3 , EWM_dontUpdateMeta = 4 }
| mode for file writing More...

## Detailed Description

type definitions for the dcmdata module

## Enumeration Type Documentation

## ◆ E_EncodingType

enum E_EncodingType

encoding type for sequences and sequence items

Enumerator
EET_ExplicitLength | defined length
EET_UndefinedLength | undefined length

## ◆ E_FileReadMode

enum E_FileReadMode

mode for file reading

Enumerator
ERM_autoDetect | auto detect: fileformat or dataset
ERM_dataset | read as dataset (assume no meta header present)
ERM_fileOnly | read file format only, refuse if no meta-header
ERM_metaOnly | read meta-header only, do not read the dataset

## ◆ E_FileWriteMode

enum E_FileWriteMode

mode for file writing

Enumerator
EWM_fileformat | write as fileformat (update only missing information, this is the old behavior)
EWM_dataset | write as dataset (without meta header)
EWM_updateMeta | write as fileformat and update required information (e.g. SOP Class/Instance UID)
EWM_createNewMeta | write as fileformat and create new meta header (do not retain existing information)
EWM_dontUpdateMeta | write as fileformat but don't update the meta header (please be careful!)

## ◆ E_GrpLenEncoding

enum E_GrpLenEncoding

handling of group length elements when reading/writing a dataset

Enumerator
EGL_noChange | no change of group length values, WARNING: DO NOT USE THIS VALUE FOR WRITE OPERATIONS
EGL_withoutGL | remove group length tags
EGL_withGL | add group length tags for every group
EGL_recalcGL | recalculate values for existing group length tags

## ◆ E_PaddingEncoding

enum E_PaddingEncoding

handling of dataset trailing padding

Enumerator
EPD_noChange | no change of padding tags
EPD_withoutPadding | remove all padding tags
EPD_withPadding | add padding tags

## ◆ E_SearchMode

enum E_SearchMode

search mode for hierarchical search operations

Enumerator
ESM_fromHere | start search from current object
ESM_fromStackTop | start search from object pointed to by stack top
ESM_afterStackTop | start search from object following the object pointed to by stack top

## ◆ E_TransferState

enum E_TransferState

object state during transfer (read/write) operations

Enumerator
ERW_init | object prepared for transfer, no data transferred yet
ERW_ready | object transfer completed
ERW_inWork | object transfer in progress
ERW_notInitialized | object not prepared for transfer operation

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2